Skip to main content

GetTransactionInfoByBlockNum

POST

An array of TransactionInfo objects for all transactions in the specified block. For the specific fields of each transaction, see walletsolidity/gettransactioninfobyid.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
numinteger
Block number (height). Example: 61815425
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "400"
}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/walletsolidity/gettransactioninfobyblocknum' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"num": 61815425
}'